<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */

namespace Kufer\KuferTools\Veranstalter\DozentenInfo\Detailsreiter\DozentenDetails;

class DozentenDetailsUseCase extends \Kufer\Web\KuferTools\Basis\DozentenInfo\Detailsreiter\DozentenDetails\DozentenDetailsUseCase
{
  public function hasAccess($pToolSectionId = null)
  {
    return parent::hasAccess(654);
  }

  public static function getToolId()
  {
    return 55;
  }

  public static function getToolSectionId()
  {
    return 655;
  }

  protected function getDozentenHelper()
  {
    return \Kufer\KuferTools\Utils\DatamodulHelper\DozentenHelper\DozentenHelper::createVeranstalterDozentenUebersicht($this->toolSettings, $this->getUser());
  }
}